<%@ page session="true" %><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.*" %><%@ page import="com.edeal.frontline.Utils" %><%@ taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<%
FlRequest flRequest = new FlRequest(request);
FlContext context = flRequest.getContext();
DataDictionary dico = context.getDataDictionary();
String obj = flRequest.getParameter("object") == null ? "Objects" : (String)flRequest.getParameter("object");

String objId = "";
try {
	ObjectsBean object = dico.getTable("sql", obj);
	objId = object.getObjID();
} catch(Exception ex) {
}

String field = flRequest.getParameter("field"); 
%>
<html>
<head>
<title><fl:getMessage code="L7066" alt="Objects Treeview"/></title>
<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/treeview/jquery.treeview.css">
<script type="text/javascript" src="<fl:webapp/>/js/treeview/jquery.cookie.js"></script>	
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/treeview/jquery.treeview.js"></script>
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/treeview/jquery.treeview.edit.js"></script>	
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/treeview/jquery.treeview.async.edeal.js"></script>	
<script type="text/javascript" language="javascript" src="<fl:webapp/>/js/ajax/ajax.js"></script>
<script type="text/javascript" language="javascript">
//root => ObjectID
//name => FieldSql like OppActID 
function loadTreeview(rootId) {
	console.log("rootId:" + rootId);
	var urlAjax = "<fl:webapp/>/get_list_fusion_fob_fields.fl";
	<% if (!"".equals(field) &&  field != null) { %>
		urlAjax = urlAjax + "?field=<%= field %>";
	<% } %>
	$("#tree").treeview({
		url : urlAjax,
		collapsed: true,
		expanded: false,
		root : rootId,
		animated: "fast"
	});
}
$(document).ready(function() {
	loadTreeview('<%= objId %>');
})
</script>
</head>
<body style="background-color: #FAFDFD;">
	<div style="width:100%; height:120px; overflow: auto; border : 1px solid #A3A6AB;">
		<ul id="tree"></ul>
	</div>
</body>
</html>